function initDialogThorough(){
	$('.dialog-thorough').click(function(){
		$('#dialog-thorough-frame').hide();
		var href = $(this).attr('dialoghref');
		if (!href || href.length < 1 ) {
			href = '';
		}
		var dialogbuttons = $(this).attr('dialogbuttons');
		if (!dialogbuttons || dialogbuttons.length < 1 || dialogbuttons != "visible") {
			dialogbuttons = "hide";
		}
		if (dialogbuttons == "visible"){
			$('.dialog>button').css('visibility','');
		} else {
			$('.dialog>button').css('visibility','hidden');
		}

		$('#dialog-thorough-frame').load(function() {
			$('#dialog-thorough-form-img-hourglass').hide();
		});
		$('#dialog-thorough-frame').attr('src', href).show();
	});
	$('.dialog-close-button').click(function(){
		$('#dialog-thorough-frame').unbind('load');
		$('#dialog-thorough-form-img-hourglass').show();
		$('#dialog-thorough-frame').attr('src', "").hide();
	});
}